glibmm: Gio::UnixInputStream Class Reference

glibmm 2.31.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::UnixInputStream Class Reference
Stream Classes

UnixInputStream implements InputStream for reading from a unix file descriptor, including asynchronous operations. More...

`#include <giomm/unixinputstream.h>`

Inheritance diagram for Gio::UnixInputStream:
[legend]

List of all members.

## Public Member Functions
virtual | ~UnixInputStream ()
GUnixInputStream* | gobj ()
| Provides access to the underlying C GObject.
const GUnixInputStream* | gobj () const
| Provides access to the underlying C GObject.
GUnixInputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_close_fd (bool close_fd=true)
| Sets whether the file descriptor of stream shall be closed when the stream is closed.
bool | get_close_fd () const
| Returns whether the file descriptor of stream will be closed when the stream is closed.
int | get_fd () const
| Return the UNIX file descriptor that the stream reads from.
Glib::PropertyProxy_ReadOnly< int > | property_fd () const
| The file descriptor to read from.
Glib::PropertyProxy< bool > | property_close_fd ()
| Whether to close the file descriptor when the stream is closed.
Glib::PropertyProxy_ReadOnly < bool > | property_close_fd () const
| Whether to close the file descriptor when the stream is closed.
## Static Public Member Functions
static Glib::RefPtr < UnixInputStream > | create (int fd, bool close_fd)
## Protected Member Functions
| UnixInputStream (int fd, bool close_fd)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::UnixInputStream > | wrap (GUnixInputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

UnixInputStream implements InputStream for reading from a unix file descriptor, including asynchronous operations.

The file descriptor must be selectable, so it doesn't work with opened files.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::UnixInputStream::~UnixInputStream | ( |  | ) | `[virtual]`

Gio::UnixInputStream::UnixInputStream | ( | int | fd,
|  | bool | close_fd
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<UnixInputStream> Gio::UnixInputStream::create | ( | int | fd,
|  | bool | close_fd
| ) |  | `[static]`

bool Gio::UnixInputStream::get_close_fd | ( |  | ) | const

Returns whether the file descriptor of stream will be closed when the stream is closed.

Since glibmm 2.20:

Returns:
  `true` if the file descriptor is closed when done.

int Gio::UnixInputStream::get_fd | ( |  | ) | const

Return the UNIX file descriptor that the stream reads from.

Since glibmm 2.20:

Returns:
  The file descriptor of stream.

GUnixInputStream* Gio::UnixInputStream::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InputStream.

const GUnixInputStream* Gio::UnixInputStream::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InputStream.

GUnixInputStream* Gio::UnixInputStream::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::InputStream.

Glib::PropertyProxy_ReadOnly< bool > Gio::UnixInputStream::property_close_fd | ( |  | ) | const

Whether to close the file descriptor when the stream is closed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gio::UnixInputStream::property_close_fd | ( |  | ) |

Whether to close the file descriptor when the stream is closed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gio::UnixInputStream::property_fd | ( |  | ) | const

The file descriptor to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gio::UnixInputStream::set_close_fd | ( | bool | close_fd = `true` | ) |

Sets whether the file descriptor of stream shall be closed when the stream is closed.

Since glibmm 2.20:

Parameters:

  close_fd | `true` to close the file descriptor when done.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::UnixInputStream > wrap | ( | GUnixInputStream * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.